VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::UnknownSectionParams Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::UnknownSectionParams:

## Avaliable Methods
public method | set_type ()
public method | set_unknown_sections ()
public method | get_type ()
public method | get_unknown_sections ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::UnknownSectionParams` class contains a list of unknown, non-required sections.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::UnknownSectionParams::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class . optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Ovf::UnknownSectionParams::get_unknown_sections | ( |  | ) |

Gets the value of 'unknown_sections' property.

Return values

  unknown_sections | - The current value of the field. List* of unknown, non-required sections. optional#

Code:
click to view
# Number of lines of code in get_unknown_sections: 4
sub get_unknown_sections {
my ($self, %args) = @_;
return $self->{'unknown_sections'};
}

public method Com::Vmware::Vcenter::Ovf::UnknownSectionParams::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::UnknownSectionParams structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{unknown_sections} = $args{'unknown_sections'};
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::UnknownSectionParams');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.unknown_section_params');
$self->set_binding_field('key' => 'unknown_sections', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'UnknownSection'))));
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::UnknownSectionParams::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class .

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

public method Com::Vmware::Vcenter::Ovf::UnknownSectionParams::set_unknown_sections | ( |  | ) |

Sets the given value for 'unknown_sections' property.

Parameters

  unknown_sections | - New value for the field. List* of unknown, non-required sections.

Code:
click to view
# Number of lines of code in set_unknown_sections: 5
sub set_unknown_sections {
my ($self, %args) = @_;
$self->{'unknown_sections'} = $args{'unknown_sections'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/UnknownSectionParams.pm